Issue 120885 - [From Symphony]Sample file's table border is missing
[From Symphony]Sample file's table border is missing
Status: CLOSED FIXED
Product: Impress
Classification: Application
Component: open-import
3.4.0
All All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 08:19 UTC by Yan Ji
Modified: 2012-10-18 05:59 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
sample file (969.20 KB, application/vnd.oasis.opendocument.presentation)
2012-09-13 09:12 UTC, Ma Bingbing
no flags Details
Fix patch for this issue (4.37 KB, patch)
2012-09-13 09:24 UTC, Ma Bingbing
jiazema: review?
Details | Diff
Patch to just add the border attributes to the standard property set (1.22 KB, patch)
2012-09-17 05:15 UTC, Armin Le Grand
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Yan Ji 2012-09-11 08:19:40 UTC
Build: AOO 3.5 Trunk Rev r1381968
OS: All

Steps:
1. Open attached sample file

Defect: Table border is missing
Comment 1 Ma Bingbing 2012-09-13 09:12:31 UTC
Created attachment 79484 [details]
sample file
Comment 2 Ma Bingbing 2012-09-13 09:23:49 UTC
Root cause:
     1. In style.xml of the sample file, there is a "default" cell style, which applied on the table. In this style, we can see the border properties "fo:border..." in <style:paragraph-properties.../>. So the borders exist in the xml file.
     2. When set one property, should check whether it is in the propertySet in stlsheet.cxx (GetStylePropertySet line 82). But the border properties aren't in the propertySet. Then we can't set the value read/write from/to style.xml

Solution:
     add border properties to propertySet for cell style.
Comment 3 Ma Bingbing 2012-09-13 09:24:40 UTC
Created attachment 79485 [details]
Fix patch for this issue
Comment 4 Armin Le Grand 2012-09-17 03:28:39 UTC
ALG: One question: Why not add the border properties directly to aFullPropertyMap_Impl and to potentially always have them? It's already done for e.g. SPECIAL_DIMENSIONING_PROPERTIES_DEFAULTS and should do no harm.
Comment 5 Armin Le Grand 2012-09-17 05:15:47 UTC
Created attachment 79528 [details]
Patch to just add the border attributes to the standard property set
Comment 6 Armin Le Grand 2012-09-17 05:17:37 UTC
Comment on attachment 79528 [details]
Patch to just add the border attributes to the standard property set

ALG: Proposed patch which just adds the missing attributes to the common property set so that they can be preserved
Comment 7 Ma Bingbing 2012-09-17 10:55:58 UTC
(In reply to comment #4)
> ALG: One question: Why not add the border properties directly to
> aFullPropertyMap_Impl and to potentially always have them? It's already done
> for e.g. SPECIAL_DIMENSIONING_PROPERTIES_DEFAULTS and should do no harm.

In my opinion, some style don't have border properties, so I add a new property set for the style which has border.
Comment 8 Armin Le Grand 2012-09-18 01:33:44 UTC
ALG: This is true, but also for the already added things like CONNECTOR_PROPERTIES and SPECIAL_DIMENSIONING_PROPERTIES_DEFAULTS. Even FILL_PROPERTIES is not needed for all cases. aFullPropertyMap_Impl is used in a more common sense (as the name implies, too), so I would not hesitate to just add the needed properties like the already added ones. It may be nice to have extra property sets here for different shape types, but seems not necessary.
Comment 9 Ma Bingbing 2012-09-18 03:21:07 UTC
It is all right, thanks for your patch
Comment 10 SVN Robot 2012-09-20 06:53:38 UTC
"alg" committed SVN revision 1387874 into trunk:
#120885# Added missing properties for table border to property set to process...
Comment 11 Armin Le Grand 2012-09-20 06:54:24 UTC
ALG: Okay, committed, done.
Comment 12 Li Feng Wang 2012-10-15 07:57:15 UTC
Verified pass on build 1397404.
Comment 13 Shenfeng Liu 2012-10-18 05:59:46 UTC
Update Target Milestone to AOO 3.5.0.